| Version: 3.1.5

Public Member Functions | List of all members
wxSVGBitmapEmbedHandler Class Reference
Class List by Category » Device Contexts

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/dcsvg.h>`

Inheritance diagram for wxSVGBitmapEmbedHandler:
[legend]

## Detailed Description

Handler embedding bitmaps as base64-encoded PNGs into the SVG.

See also
  wxSVGFileDC::SetBitmapHandler().

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

Since
  3.1.0

## Public Member Functions
virtual bool | ProcessBitmap (const wxBitmap &bitmap, wxCoord x, wxCoord y, wxOutputStream &stream) const
| Writes the bitmap representation as SVG to the given stream. More...

## Member Function Documentation

## ◆ ProcessBitmap()

virtual bool wxSVGBitmapEmbedHandler::ProcessBitmap | ( | const wxBitmap & | bitmap,
|  | wxCoord | x,
|  | wxCoord | y,
|  | wxOutputStream & | stream
| ) |  | const
| virtual

Writes the bitmap representation as SVG to the given stream.

The XML generated by this function will be inserted into the SVG file inline with the XML generated by the main wxSVGFileDC class so it is important that the XML is properly formed.

Parameters

  bitmap | A valid bitmap to add to SVG.
  x | Horizontal position of the bitmap.
  y | Vertical position of the bitmap.
  stream | The stream to write SVG contents to.

Implements wxSVGBitmapHandler.